Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.ant
Class AbstractBeanTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--xcodegen.ant.AbstractCodeGeneratorTask
                        |
                        +--xcodegen.ant.AbstractBeanTask

Direct Known Subclasses:
  DAOTask, DTOTask, StrutsTask

public abstract class AbstractBeanTask
extends AbstractCodeGeneratorTask

Base class for Bean Ant tasks

Version:
  $Revision: 1.1 $
Author:
  Herve Tchepannou

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AbstractBeanTask()`

Method Summary
`void` | `setClassPrefix(java.lang.String prefix)`
`void` | `setClassSuffix(java.lang.String suffix)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setOutputDir(java.lang.String outputDir)`
`void` | `setPackageSuffix(java.lang.String suffix)`

Methods inherited from class xcodegen.ant.AbstractCodeGeneratorTask
`execute, getCodeGenerator, setConfigProperty, setPackages`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorOutput, handleOutput, init, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBeanTask

    public AbstractBeanTask()

Method Detail

### setLanguage

    public void setLanguage(java.lang.String language)

### setClassPrefix

    public void setClassPrefix(java.lang.String prefix)

### setClassSuffix

    public void setClassSuffix(java.lang.String suffix)

### setOutputDir

    public void setOutputDir(java.lang.String outputDir)

### setPackageSuffix

    public void setPackageSuffix(java.lang.String suffix)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD